Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020516
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2012-05-15 17:272012-05-25 12:12
ReportermiruritaView Statuspublic 
Assigned Tomirurita 
PrioritynormalResolutionfixedFixed in Version3.0MP11
StatusclosedFix in branchFixed in SCM revision497cb2c422bd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020516: Hide editable payment plan advanced feature: Archived Payment In/Out Plan tabs and Modify Payment In/Out Plan buttons

DescriptionHide editable payment plan advance feature UI elements.

Sales Invoice
- Hide "Modify Payment In Plan" button in Header tab.
- Hide "Archived Payment In Plan" tab

Purchase Invoice
- Hide "Modify Payment Out Plan button" in Header tab.
- Hide "Archived Payment Out Plan" tab
Steps To Reproduce1) Complete a Sales Invoice
2) In the header a button will be displayed: "Modify Payment In Plan"
3) "Archived Payment In Plan" tab will appear as second level tab
4) Complete a Purchase Invoice
5) In the header a button will be displayed: "Modify Payment Out Plan"
6) "Archived Payment Out Plan" tab will appear as second level tab
Proposed SolutionSales Invoice
- Hide "Modify Payment In Plan" button in Header tab.
- Hide "Archived Payment In Plan" tab

Purchase Invoice
- Hide "Modify Payment Out Plan button" in Header tab.
- Hide "Archived Payment Out Plan" tab
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0048659)
hgbot (developer)
2012-05-15 17:30

Repository: erp/devel/pi
Changeset: 497cb2c422bdd6ae3a54c2081c653d0c760b8ae9
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Tue May 15 17:27:54 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/497cb2c422bdd6ae3a54c2081c653d0c760b8ae9 [^]

Fixes issue 20516: Hide editable payment plan advanced feature

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_TAB.xml
---
(0048724)
vmromanos (developer)
2012-05-17 11:49

Code review + testing OK
(0049135)
hudsonbot (developer)
2012-05-25 12:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-05-15 17:27 mirurita New Issue
2012-05-15 17:27 mirurita Assigned To => mirurita
2012-05-15 17:27 mirurita Modules => Core
2012-05-15 17:30 hgbot Checkin
2012-05-15 17:30 hgbot Note Added: 0048659
2012-05-15 17:30 hgbot Status new => resolved
2012-05-15 17:30 hgbot Resolution open => fixed
2012-05-15 17:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/497cb2c422bdd6ae3a54c2081c653d0c760b8ae9 [^]
2012-05-17 11:49 vmromanos Note Added: 0048724
2012-05-17 11:49 vmromanos Status resolved => closed
2012-05-17 11:49 vmromanos Fixed in Version => 3.0MP11
2012-05-25 12:12 hudsonbot Checkin
2012-05-25 12:12 hudsonbot Note Added: 0049135


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker